<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

// Tout est ok...on lance la routine
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_pw.inc.php");
include_once("../inc/lst.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

$td = strip_tags(trim($_GET['td'])); // Récupération type demande

$pbm_cli=FALSE;

if (@$_SESSION["niv_log"] <2)
	$pbm_cli=TRUE;

if ((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3))
{
	$ca = @$_SESSION["code_age"];
		
	$row = lit_enr_age($ca);
	if (is_array($row))
		extract ($row);
	else
		$pbm_cli=TRUE;
}

if ((@$_SESSION["niv_log"] == 7) OR (@$_SESSION["niv_log"] == 6))
{
	$cd = @$_SESSION["code_do"];
		
	$row = lit_enr_do($cd);
	if (is_array($row))
		extract ($row);
	else
		$pbm_cli=TRUE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Liste Clients</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body onLoad="metFocus();">

<?php
include_once("entete.inc.php");

if ($pbm_cli==FALSE)
{
?>
<p align="center"><span class="titrepage">COMPTES CLIENTS </span></p>
<?PHP
if ((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3) OR (@$_SESSION["niv_log"] == 7) OR (@$_SESSION["niv_log"] == 6))
{
?>
<p align="center" class="annot_std_it">(Que vous g&eacute;rez)</p>
<?PHP
}

if (@$_SESSION["niv_log"] >= 3)
	$fic_imp = "cli_lsti.php";
$url_add = "cli_maj.php?td=add";

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

if (@$_SESSION["niv_log"] >= 3)
{
	$rech = cree_strrechlstcli(@$_SESSION["niv_log"],@$_SESSION["code_age"],@$_SESSION["code_do"]);
	$rech .= crestr_triord($cli_titre_col,"cli_code",FALSE,$limit);
}
else
{
	$rech = cree_strrechlstcliope();
	$rech .= crestr_triord($cliope_titre_col,"cli_code",FALSE,$limit);
}	 
$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête


// *** Pagination
if(empty($_GET['page']))$_GET['page'] = 0; // Valeur de par défaut du nombre de pages

$pages = intval($numrows/$limit); // Nombre total de pages

if($numrows%$limit) $pages++; // S'il y a un reste à la division, alors page+1
$current = ($_GET['page']/$limit) + 1; // Numéro de page courante
	
if(($pages < 1) || ($pages == 0)) 
  $total = 1; // Si le nombre de pages est inférieur à 1 ou égal à 0, alors le nombre total de pages est 1
else 
 $total = $pages; // Sinon, on conserve la variable $page telle qu'elle
	
$first = $_GET['page'] + 1; // Premier résultat
	
if(((($_GET['page'] + $limit) / $limit) >= $pages) && $pages != 1) 
	 $last = $_GET['page'] + $limit; // Si ce n'est pas la dernière page de résultats, alors la dernière page de résultat est $page + $limit
else
	$last = $numrows; // Si c'est la dernière page de résultats, le dernier résultat est égal au nombre total de résultats
// *** Fin de Pagination

if($numrows == 0)
{
	retpp();
}
 else
{
	include_once("formr.inc.php"); 

	if (@$_SESSION["niv_log"] >= 3)
	{
		$rech = cree_strrechlstcli(@$_SESSION["niv_log"],@$_SESSION["code_age"],@$_SESSION["code_do"]);
		$rech .= crestr_triord($cli_titre_col,"cli_code",TRUE,$limit);
	}
	else
	{
		$rech = cree_strrechlstcliope();
		$rech .= crestr_triord($cliope_titre_col,"cli_code",TRUE,$limit);
	}	 

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs);
	
		
	// *** Affichage de la table
	 echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
	
	// Création entête
	if  (@$_SESSION["niv_log"] >= 3)
		titlst(TRUE,$cli_titre_col);
	else
		titlst(TRUE,$cliope_titre_col);
	
	echo "<th>".ucfirst("cliquer")."</th>\n";
		
	
	$i = 0;

	while ($row = mysql_fetch_assoc($rs)) 
	{         
		// Création de l'entête de ligne (TR)
		creetrlst($i);
		
		 echo "<td>".$row["cli_code"];
	
		 // CREATION d'icône en cas de problème potentiel
		if ($row["cli_cpta"] >= 1)
		{
			$lst_sta = TRUE;
			 echo " <img src=\"../img/".$ico_cpta[$row["cli_cpta"]]."\" title=\"".$mess_cpta[$row["cli_cpta"]]."\" alt=\"".$mess_cpta[$row["cli_cpta"]]."\" width=\"".($hl_vign-4)."\" height=\"".($hl_vign-4)."\" border=\"0\" align=\"absmiddle\">";
		}
	
		 // Verrouillé ?
		 if  ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
		 {
			if (account_locked($row["cli_code"],FALSE)==TRUE)
			{
				echo " <img src=\"../img/locked.gif\" title=\"Compte d&eacute;sactiv&eacute;\" alt=\"Compte d&eacute;sactiv&eacute;\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\">";
				$locked=TRUE;
			}
		}

		 // Détail propriétaire
		 if  ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
		 {
			 echo "<br>";
			 echo "<span class=\"annot_petit_it\">";
			 if ($row["cli_prop"] <> NULL)
			 {
				$txt = "Agence ".$row["cli_prop"];
				echo "->".$txt;
			 }
			 else
				 echo "->(Non affecté)";
			 echo "</span>";
			 if ($row["cli_codedo"] <> NULL)
			 {
				echo "<div class=\"annot_petit_it\" align=\"right\">";
				$txt = "DO ".$row["cli_codedo"];
				echo $txt;
				echo "</div>";
			 }
		}
		 echo "</td>\n";
	
		 echo "<td>";
		 if ($row["cli_ste"] <> "")
			echo $row["cli_ste"];
		 else
			echo "&nbsp;";
		 echo "</td>\n";
		 echo "<td>";
		 echo $row["cli_civilite"]." ".$row["cli_nom"]." ".$row["cli_prenom"];
		 echo "</td>\n";
		if (@$_SESSION["niv_log"] >= 3)
		{
			echo "<td>".$row["cli_telf"]."</td>\n";
			echo "<td>";
			if ($row["cli_telp"] <> "")
			{
				echo $row["cli_telp"];
			}
			else
			{ 
				echo "<div align=\"center\">";
				echo "-";
				echo "</div>";
			}
			echo "</td>\n";
			
			// CREATION lien dynamique sur email
			echo "<td>";
			echo "<a href=\"mailto:".$row["cli_email"]."\">".$row["cli_email"]."</a>";
			echo "</td>\n";
		}
	
		// CREATION lien dynamique sur icône (édition, suppression, etc...)
		 echo "<td>";
		 echo "<div align=\"center\">";
	
		 // Un opérateur ne peut pas modifier un compte bloqué
		 $editok=TRUE;
		 if  (@$_SESSION["niv_log"] == 2)
		 {
			 if ($row["cli_cpta"] == 3)
				$editok=FALSE;
		 }
		 if ($editok==TRUE)
		 {
			$lst_maj = TRUE;
			 echo "<a href=\"cli_maj.php?td=edit&cc=".$row["cli_code"]."\"><img src=\"../img/edit.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
		 }
		 else
			echo "-";
			
		 if (($row["cli_cpta"] < 3) AND (account_locked($row["cli_code"],FALSE)==FALSE)) // Pas de possibilité d'intervention, de contrat, ou de relevé, si compte client bloqué/désactivé
		 {
			 $lst_int = TRUE;
			 echo " ";
			 echo "<a href=\"int_maj.php?td=add&ci=&cc=".$row["cli_code"]."\"><img src=\"../img/int.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
	
			// Création de contrats uniquement pour agences, centre de gestion, et administrateur
			if  ((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
			{
				$lst_cocl = TRUE;
				echo " ";
				echo "<a href=\"cocl_maj.php?td=add&co=&cc=".$row["cli_code"]."&ca=\"><img src=\"../img/contrat.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
			}
	
			// Création de relevés uniquement pour agences, techniciens agences, centre de gestion, et administrateur
			if  ((@$_SESSION["niv_log"] == 3) OR (@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
			{
				echo " ";
				$rech2 = "SELECT * FROM `" .TBREL. "` WHERE `rel_codecli` = '".$row["cli_code"]."'";
				$rs2 = mysql_query($rech2)or die(mysql_error());
				if (mysql_num_rows($rs2) <> 0)
				{
					if ($row2 = mysql_fetch_array($rs2))
					{
						$lst_relexist = TRUE;
						echo "<a href=\"rel_maj.php?td=edit&cr=".$row2["rel_code"]."\"><img src=\"../img/relexist.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
					}
				 }
				 else
				 {
					$lst_relcreer = TRUE;
					echo "<a href=\"rel_maj.php?td=add&cc=".$row["cli_code"]."\"><img src=\"../img/rel.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
				 }
				mysql_free_result($rs2);
			}
		 }
	
		// Possibilité de suppression uniquement à partir du niveau "technicien"
		if  (@$_SESSION["niv_log"] >= 3)
		{
			 $lst_del = TRUE;
			 echo " ";
			 echo "<a href=\"cli_maj.php?td=del&cc=".$row["cli_code"]."\"><img src=\"../img/del.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
			 echo " ";
			 $lst_imp = TRUE;
			 $urlimp = "cli_maji.php?cc=".$row["cli_code"];
			 echo "<a href=\"javascript:;\" onclick=\"lanceimp('".$urlimp."');\")><img src=\"../img/print.gif\" title=\"Imprimer la fiche\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
			 echo "</div>";
		}
	
		 echo "</td>\n";
	
		 echo "</tr>\n";
		
		$i++;
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	
	if ($locked==TRUE)
	{
		echo " <img src=\"../img/locked.gif\" title=\"Compte d&eacute;sactiv&eacute;\" alt=\"Compte d&eacute;sactiv&eacute;\" width=\"22\" height=\"22\" border=\"0\" align=\"absmiddle\">";
		echo " : Compte d&eacute;sactiv&eacute;";
	}

	// *** Pagination de pied
	echo "<table width=\"100%\" border=\"0\">
	<tr>
	<td align=\"center\">\n";
		
	if (!empty($_GET['page']) && $_GET['page'] > 0)
	{
	   $back_page = $_GET['page'] - $limit;
	   $url = $_SERVER["PHP_SELF"]."?page=$back_page";
	
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
	   
	   echo "<a href=\"$url\"><img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>    \n";
	}
	 
	// Boucle sur chaque page et CREATION d'un lien sur celle-ci
	// Pas de page s'il n'y a seulement qu'une page
	if($pages > 1)
	{
	 for ($i=1; $i <= $pages; $i++) 
	 {
	   $ppage = $limit*($i - 1);
	   if ($ppage == $_GET['page'])
		  echo("<span class=\"psel\">$i</span> \n");
	   else
	   {
		  $url = $_SERVER["PHP_SELF"]."?page=$ppage";
						  
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
						  
		  echo("<span class=\"pnsel\"><a href=\"$url\">$i</a></span> \n");
	   }
	 }
	}
	
	if(((($_GET['page']+$limit) / $limit) < $pages) && $pages != 1) 
	{   
	   $next_page = $_GET['page'] + $limit; // Si c'est la dernière page, pas de page suivante
	   $url = $_SERVER["PHP_SELF"]."?page=$next_page";
		
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
	
	   echo "    <a href=\"$url\"><img src=\"../img/suiv.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>\n";
	}
	 
	echo "</td>
		 </tr>
		 </table>"; 
	
	// *** Fin de pagination de pied	
	
	mysql_close($conn);
	
	$taille_piedla="";
	include_once("piedla.inc.php");
}
}
else
{
?>
	<script type="text/javascript">
	setTimeout("self.location.href=('index.php');",2000)
	</script>
	<p align="center" class="annot_std_it">Probl&ecirc;me sur les param&egrave;tres...</p>
<?PHP
}
include_once("pied.php");
?>
